Name:           wxJSON
Version:        1.2.0
Release:        1%{?dist}
Summary:        The wxWidgets implementation of JSON

Group:          System Environment/Libraries
License:        wxWidgets
URL:            http://wxcode.sourceforge.net/components/wxjson/
Source0:        http://downloads.sourceforge.net/wxcode/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  wxGTK-devel
BuildRequires:  dos2unix


%description
JSON (JavaScript Object Notation) is a lightweight data-interchange format.
It is easy for humans to read and write. It is easy for machines to parse and
generate. It is based on a subset of the JavaScript Programming Language,
Standard ECMA-262 3rd Edition - December 1999. JSON is a text format that is
completely language independent but uses conventions that are familiar to
programmers of the C-family of languages, including C, C++, C#, Java,
JavaScript, Perl, Python, and many others. These properties make JSON an ideal
data-interchange language.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       wxGTK-devel

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -c

# fix permissions
find . -type f -exec chmod a-x {} \;
chmod 0755 configure

# fix EOLs
dos2unix --keepdate ReadMe.txt
dos2unix --keepdate VERSION.txt


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc ReadMe.txt
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%doc docs/html VERSION.txt
%{_includedir}/wx/*
%{_libdir}/*.so


%changelog
* Sun Feb 14 2010 Dan Horák <dan[at]danny.cz> 1.2.0-1
- initial Fedora version
